Bug 54287

Summary: Incorrect Timestamp in Response Time Graph when using a date with time in Date format field
Product: JMeter Reporter: hellfire51
Component: MainAssignee: JMeter issues mailing list <issues>
Status: RESOLVED FIXED    
Severity: normal CC: hellfire51
Priority: P2    
Version: 2.8   
Target Milestone: ---   
Hardware: PC   
OS: All   
Attachments: Simple .jmx file, screenshots of graph settings and output, log

Description hellfire51 2012-12-13 01:42:51 UTC
Created attachment 29749 [details]
Simple .jmx file, screenshots of graph settings and output, log

Response Time Graph's X-axis labels have incorrect values.

Procedure:
1. I run a short test plan at 2012-12-12 19:13:58 CST and enter a Time format for the Response Time Graph listener of 'yyyy-MM-dd HH:mm:ss z'.

2. After displaying the graph, first X-tick is labeled 1969-12-10 08:32:53 CST with other ticks labelled with similarly incorrect timestamps.

3. Timestamps in other time-aware listeners and logs appear to be correct.

Expected:
Timestamps should be approximately 2012-12-12 19:13:58 CST.

Version:
Using JMeter 2.8 r1393162. Also tested with developer build 2.8 r1420754 with same result.

Tested and confirmed on 4 different computers:
Ubuntu 12.10
java version "1.7.0_09"
OpenJDK Runtime Environment (IcedTea7 2.3.3) (7u9-2.3.3-0ubuntu1~12.10.1)
OpenJDK 64-Bit Server VM (build 23.2-b09, mixed mode)

Windows 7 Pro x64 SP1
java version "1.7.0_09"
Java(TM) SE Runtime Environment (build 1.7.0_09-b05)
Java HotSpot(TM) 64-Bit Server VM (build 23.5-b02, mixed mode)

Windows 7 Pro x64 SP1
java version "1.6.0_37"
Java(TM) SE Runtime Environment (build 1.6.0_37-b06)
Java HotSpot(TM) 64-Bit Server VM (build 20.12-b01, mixed mode)

Windows Server 2008 R2 x64 SP1
Java 6 (unknown version)
Comment 1 Milamber 2012-12-13 13:14:36 UTC
Good catch and thanks for your report.
Fixed in svn trunk
In several hours you can get a nightly build with a revision > 1421273
http://jmeter.apache.org/nightly.html


URL: http://svn.apache.org/viewvc?rev=1421273&view=rev
Log:
Incorrect Timestamp in Response Time Graph when using a date with time in Date format field
Bugzilla Id: 54287

Modified:
    jmeter/trunk/src/components/org/apache/jmeter/visualizers/RespTimeGraphVisualizer.java
    jmeter/trunk/xdocs/changes.xm